Name:           otter-browser
Summary:        Modern web browser inspired by Opera 12
Version:        0.9.12
Release:        %mkrel 1
Group:          Networking/WWW
License:        GPLv3+ and BSD
Url:            http://otter-browser.org/
Source0:        https://github.com/OtterBrowser/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        LICENSE_mousegesture.txt
Source2:        LICENSE_libmimeapps.txt
Patch0:         otter-browser-0.9.12-mga-duckduckgo.patch
ExcludeArch:    armv5tl
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2
BuildRequires:  pkgconfig(Qt5Core) >= 5.2
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Multimedia) >= 5.2
BuildRequires:  pkgconfig(Qt5Network) >= 5.2
BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.2
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2
BuildRequires:  pkgconfig(Qt5Script) >= 5.2
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2
BuildRequires:  pkgconfig(Qt5XmlPatterns) >= 5.2
BuildRequires:  pkgconfig(dbusmenu-qt5)

Requires:       qtwebengine5

%description
Otter Browser aims to recreate classic Opera (Presto) UI using Qt
and designed to give the user full control.

%prep
%setup -q
%autopatch -p1

cp %{S:1} %{S:2} .

%build
%cmake_qt5
%make_build

%install
%make_install -C build

%__install -Dm 0644 packaging/%{name}.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%doc CHANGELOG README.md TODO CONTRIBUTING.md
%doc LICENSE_mousegesture.txt LICENSE_libmimeapps.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Feb 15 2017 daviddavid <daviddavid> 0.9.12-1.mga6
+ Revision: 1086330
- new version: 0.9.12
- use system hunspell
- rename and rebase mga-duckduckgo patch

* Mon Sep 05 2016 daviddavid <daviddavid> 0.9.10-4.mga6
+ Revision: 1050128
- do not build on armv5tl because of missing qtwebengine5

* Fri May 20 2016 dglent <dglent> 0.9.10-3.mga6
+ Revision: 1017082
+ rebuild (emptylog)

* Thu May 19 2016 dglent <dglent> 0.9.10-2.mga6
+ Revision: 1016985
- Use Mageia for credits in duckduckgo search

* Sun May 15 2016 dglent <dglent> 0.9.10-1.mga6
+ Revision: 1015738
- imported package otter-browser

